///--------------------------------------------------------------------------------------
// Scrolling Demo.h
//
// By: Vern Jensen
///--------------------------------------------------------------------------------------


#ifndef __WINDOWS__
#include <Windows.h>
#endif


#ifdef __cplusplus
extern "C" {
#endif


void	main( void );
void	CreateSpriteWorld( void );
void	CreateSprites( void );
void	SetUpAnimation( void );

void	RunAnimation( void );
void	ShutDown( void );

void	TileChangeProc(SpriteWorldPtr spriteWorldP);

void KeySpriteMoveProc(SpritePtr srcSpriteP);

void	SmoothScrollingWorldMoveProc(
	SpriteWorldPtr spriteWorldP,
	SpritePtr followSpriteP);

void	UpdateKeys( void );


#ifdef __cplusplus
}
#endif
